Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454439 - Review Request: R-nws - R functions for NetWorkSpaces and Sleigh
Summary: Review Request: R-nws - R functions for NetWorkSpaces and Sleigh
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 454441
TreeView+ depends on / blocked
 
Reported: 2008-07-08 14:42 UTC by Tom "spot" Callaway
Modified: 2008-10-24 23:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-23 14:23:53 UTC
pingou: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2008-07-08 14:42:33 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/R-nws.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/R-nws-1.6.3-1.fc10.src.rpm
Description: 
Provides coordination and parallel execution facilities, as well as limited
cross-language data exchange, using the netWorkSpaces server developed by
REvolution Computing.

Comment 1 Pierre-YvesChibon 2008-08-06 15:20:28 UTC
$ rpmlint ../SRPMS/R-nws-1.6.3-1.fc9.src.rpm ../RPMS/noarch/R-nws-1.6.3-1.fc9.noarch.rpm 
R-nws.noarch: W: one-line-command-in-%post /usr/lib/rpm/R-make-search-index.sh
R-nws.noarch: W: one-line-command-in-%postun /usr/lib/rpm/R-make-search-index.sh
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

according to the R guidelines these warnings are safe to ignore.

* rpmlint OK
* Name OK
* License OK
* Sources: OK
  -site :   bbd48a292826897a7b85d611cbd030f0ba605168  nws_1.6.3.tar.gz
  -src.rpm: bbd48a292826897a7b85d611cbd030f0ba605168  ../SOURCES/nws_1.6.3.tar.gz
* Build on F-9 
OK
* Build on F-10
http://koji.fedoraproject.org/koji/taskinfo?taskID=762655
* Requires: OK
* Files: OK
* Macros: OK
* The library loads into R
! The description of the command ?nws mentions:

     NetWorkSpaces makes it easy to create and experiment with parallel
     programs without requiring specialized tools or hardware. You must
     install both the NetWorkSpaces server (on one machine) and the R
     NetWorkSpaces package (on all machines involved in the
     computation).

Should the server be include as a Require ?

Comment 2 Pierre-YvesChibon 2008-10-07 13:15:27 UTC
ping ?

Comment 3 Tom "spot" Callaway 2008-10-17 18:33:45 UTC
So, no, the server shouldn't be included as a Requires, since they don't need to be on the same system. 

Nevertheless, it makes sense to include the server (and the python client code), so I've made packages for them as well:

nwsclient: https://bugzilla.redhat.com/show_bug.cgi?id=467489
nwsserver: https://bugzilla.redhat.com/show_bug.cgi?id=467490

Their reviews can be done independently to this package.

Comment 4 Pierre-YvesChibon 2008-10-23 07:01:05 UTC
Then I think this package is good :)

APPROVED

Comment 5 Tom "spot" Callaway 2008-10-23 13:28:43 UTC
New Package CVS Request
=======================
Package Name: R-nws
Short Description: R functions for NetWorkSpaces and Sleigh
Owners: spot
Branches: F-8 F-9 devel EL-4 EL-5
InitialCC:

... and it's done.

Comment 6 Tom "spot" Callaway 2008-10-23 14:23:53 UTC
Built in rawhide, and updates are coming for F-8 and F-9.

thanks for the review!

Comment 7 Fedora Update System 2008-10-23 14:32:18 UTC
R-nws-1.7.0.0-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/R-nws-1.7.0.0-1.fc8

Comment 8 Fedora Update System 2008-10-23 14:32:22 UTC
R-nws-1.7.0.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/R-nws-1.7.0.0-1.fc9

Comment 9 Fedora Update System 2008-10-24 23:50:28 UTC
R-nws-1.7.0.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-10-24 23:51:31 UTC
R-nws-1.7.0.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.